Bug 1285850 - FAF: Please distinguish crashes by version and vendor
FAF: Please distinguish crashes by version and vendor
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 11:31 EST by Andy Lutomirski
Modified: 2017-08-08 08:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:28:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Lutomirski 2015-11-26 11:31:22 EST
Lately this report has been spamming me:

https://retrace.fedoraproject.org/faf/reports/748335/

This has multiple problems:

1. I can't tell what version of fish is crashing.  I can tell what versions all the dependencies are (that's helpful), but the version of the crashing package itself appears to be completely missing.  So, if I fix it, how can I even tell?

2. Much worse: this is not a Fedora package at all.  There is no fish.el7 -- this is the OpenBuild package.  Please detect that, prominently display it, and stop spamming me.  I have nothing to do with the OpenBuild package.

(In this case, the corresponding old retrace report for the Fedora package was actually helpful (sort of -- retrace was very very buggy at the time), and I think I know what the bug was and I fixed it in the Fedora packages.  But I can't fix OpenBuild, and the retrace automatic emails are still coming...

See bug 911905.  It's not clear to me that *both* bugs need fixing, but certainly at least one of this bug and bug 911905 should be fixed.
Comment 1 Jakub Filak 2015-11-27 05:18:24 EST
Thank you for the report.

1. The version of package is "fish-0:2.0.0r2-1.el6.rf" as written in the third table when you click the "Show versions" button, isn't it?  Anyway, such build doesn't exist in koji.

2. We will bug #911905 as soon as possible.
Comment 2 Andy Lutomirski 2015-11-27 15:13:34 EST
Aha.  If I click "+3 more" and "Show versions", then I see it.

Should the actual crashing package's version be promoted to the top along with OS and architecture?
Comment 3 Jakub Filak 2015-11-30 04:08:03 EST
Definitely yes. I've opened this upstream issue : https://github.com/abrt/faf/issues/480

I am not closing this bug report because we should add Vendor to the information about packages.
Comment 4 Jan Kurik 2016-02-24 09:02:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora End Of Life 2017-07-25 15:34:17 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-08-08 08:28:26 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.